from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XComplexColor(Protocol):
    def getType(self) -> int: ...
    def getThemeColorType(self) -> int: ...
    def resolveColor(self, xTheme: XTheme) -> Color: ...
